std::integral_constant< _Tp, __v > Struct Template Reference
Utilities » Metaprogramming

`#include <type_traits>`

## Public Types

using | type
using | value_type

## Public Member Functions

constexpr | operator value_type () const noexcept

## Static Public Attributes

static constexpr _Tp | value

## Detailed Description

template<typename _Tp, _Tp __v>
struct std::integral_constant< _Tp, __v >

integral_constant

Definition at line 87 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits